using PlumbingRepairContracts.Attributes;
using PlumbingRepairDataModels.Models;
using System.ComponentModel;

namespace PlumbingRepairContracts.ViewModels
{
	public class MessageInfoViewModel : IMessageInfoModel
	{
		[Column(visible: false)]
		public string MessageId { get; set; } = string.Empty;
		[Column(visible: false)]
		public int? ClientId { get; set; }

		[Column("Имя отправителя", gridViewAutoSize: GridViewAutoSize.DisplayedCells, isUseAutoSize: true)]
		public string SenderName { get; set; } = string.Empty;

		[Column("Дата отправления", width: 100)]
		public DateTime DateDelivery { get; set; }

		[Column("Тема", width: 150)]
		public string Subject { get; set; } = string.Empty;

		[Column("Содержание", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string Body { get; set; } = string.Empty;
		[Column(visible: false)]
		public int Id => throw new NotImplementedException();
	}
}
